# Generated by rust2rpm 25
%bcond_with check
%global debug_package %{nil}

%global crate cryptoki

Name:           rust-cryptoki
Version:        0.6.1
Release:        %autorelease
Summary:        Rust-native wrapper around the PKCS #11 API

License:        Apache-2.0
URL:            https://crates.io/crates/cryptoki
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust-native wrapper around the PKCS #11 API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+generate-bindings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+generate-bindings-devel %{_description}

This package contains library source intended for building other packages which
use the "generate-bindings" feature of the "%{crate}" crate.

%files       -n %{name}+generate-bindings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+psa-crypto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-devel %{_description}

This package contains library source intended for building other packages which
use the "psa-crypto" feature of the "%{crate}" crate.

%files       -n %{name}+psa-crypto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+psa-crypto-conversions-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+psa-crypto-conversions-devel %{_description}

This package contains library source intended for building other packages which
use the "psa-crypto-conversions" feature of the "%{crate}" crate.

%files       -n %{name}+psa-crypto-conversions-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -a
echo 'softhsm'

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
export PKCS11_SOFTHSM2_MODULE=%{_libdir}/pkcs11/libsofthsm2.so
mkdir /tmp/tokens
echo "directories.tokendir = /tmp/tokens" > /tmp/softhsm2.conf
export SOFTHSM2_CONF=/tmp/softhsm2.conf
%cargo_test -a
%endif

%changelog
%autochangelog
